Subject: [Sip] I-D Action:draft-ietf-sip-hitchhikers-guide-03.txt

From: [email-masked]
Date: Thu, 05 Jul 2007 22:10:01 -0400

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Session Initiation Protocol Working Group of the IETF.

        Title           : A Hitchhiker's Guide to the Session Initiation Protocol (SIP)
        Author(s)       : J. Rosenberg
        Filename        : draft-ietf-sip-hitchhikers-guide-03.txt
        Pages           : 32
        Date            : 2007-07-05
                                                                                           
The Session Initiation Protocol (SIP) is the subject of numerous
specifications that have been produced by the IETF.  It can be
difficult to locate the right document, or even to determine the set
of Request for Comments (RFC) about SIP.  This specification serves
as a guide to the SIP RFC series.  It lists the specifications under
the SIP umbrella, briefly summarizes each, and groups them into
categories.
                                                                                           
A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-sip-hitchhikers-guide-03.txt
                                                                                           
To remove yourself from the I-D Announcement list, send a message to
[email-masked] with the word unsubscribe in the body of 
the message.
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the 
username "anonymous" and a password of your e-mail address. After 
logging in, type "cd internet-drafts" and then
        "get draft-ietf-sip-hitchhikers-guide-03.txt".
                                                                                           
A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.
                                                                                           
Send a message to:
        [email-masked].
In the body type:
        "FILE /internet-drafts/draft-ietf-sip-hitchhikers-guide-03.txt".
                                                                                           
NOTE:   The mail server at ietf.org can return the document in
        MIME-encoded form by using the "mpack" utility.  To use this
        feature, insert the command "ENCODING mime" before the "FILE"
        command.  To decode the response(s), you will need "munpack" or
        a MIME-compliant mail reader.  Different MIME-compliant mail readers
        exhibit different behavior, especially when dealing with
        "multipart" MIME messages (i.e. documents which have been split
        up into multiple messages), so check your local documentation on
        how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Tue, 10 Jul 2007 20:40:18 +0200

Two comments on the sigcomp part of this document.

While Sigcomp is mentioned in passing, RFC 3320 is referenced and this
has been updated by RFC 4896. The ROHC people also consider RFC 4077 an
integral part of the Sigcomp package and RFC 4896 assumes this.

Additionally draft-ietf-rohc-sigcomp-sip is currently with IESG and
this, among other things, defines a SIP Via header parameter and this
should probably be referenced as a SIP extension. 

Regards

Keith

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Friday, July 06, 2007 3:10 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Sip] I-D Action:draft-ietf-sip-hitchhikers-guide-03.txt 
> 
> The Session Initiation Protocol (SIP) is the subject of 
> numerous specifications that have been produced by the IETF.  
> It can be difficult to locate the right document, or even to 
> determine the set of Request for Comments (RFC) about SIP.  
> This specification serves as a guide to the SIP RFC series.  
> It lists the specifications under the SIP umbrella, briefly 
> summarizes each, and groups them into categories.
>                                                               
>                              
> To remove yourself from the I-D Announcement list, send a 
> message to [email-masked] with the word 
> unsubscribe in the body of the message.
> Internet-Drafts are also available by anonymous FTP. Login 
> with the username "anonymous" and a password of your e-mail 
> address. After logging in, type "cd internet-drafts" and then
> http://www.ietf.org/shadow.html or 
> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>                                                               
>                              
>                                                               
>                              
>         "FILE 
> /internet-drafts/draft-ietf-sip-hitchhikers-guide-03.txt".
>                                                               
>                              
> Below is the data which will enable a MIME compliant mail 
> reader implementation to automatically retrieve the ASCII 
> version of the Internet-Draft.
>                                                               
>                              
>

---

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 11 Jul 2007 09:19:25 -0400

inline.

> integral part of the Sigcomp package and RFC 4896 assumes this.

I added a reference to 4896 along with 3320 as the reference for 
sigcomp. However our objective is not to do the hitchhikers guide to 
sigcomp; so as long as rfc4896 references 4077 people can follow that chain.

> should probably be referenced as a SIP extension. 

What???

Can this be???

Keith - did you let another working group define a SIP extension?

;)

Reference added.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

---

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Wed, 11 Jul 2007 15:32:26 +0200

Jonathan wrote:

> > has been updated by RFC 4896. The ROHC people also consider 
> RFC 4077 
> > an integral part of the Sigcomp package and RFC 4896 assumes this.
> 
> I added a reference to 4896 along with 3320 as the reference 
> for sigcomp. However our objective is not to do the 
> hitchhikers guide to sigcomp; so as long as rfc4896 
> references 4077 people can follow that chain.
> 
Fine.

> Keith - did you let another working group define a SIP extension?
It followed the IANA registry rules for SIP header parameters, which do not require it to come to SIP. However in parallel with the ROHC WGLC, we did issue the WGLC on the SIP list, as we did ask Adam Roach to do a review as a designated SIP expert. If people want to handle these differently in the future them please shout.

> Reference added.

Fine

Regards

Keith

> From: Jonathan Rosenberg [mailto:[email-masked]] 
> Sent: Wednesday, July 11, 2007 2:19 PM
> To: DRAGE, Keith (Keith)
> Cc: [email-masked]
> Subject: Re: [Sip] I-D Action:draft-ietf-sip-hitchhikers-guide-03.txt
> 
> inline.
> 
> > has been updated by RFC 4896. The ROHC people also consider 
> RFC 4077 
> > an integral part of the Sigcomp package and RFC 4896 assumes this.
> 
> I added a reference to 4896 along with 3320 as the reference 
> for sigcomp. However our objective is not to do the 
> hitchhikers guide to sigcomp; so as long as rfc4896 
> references 4077 people can follow that chain.
> 
> > 
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip